Bug 1705569 - [abrt] quiterss: qGetPtrHelper<QScopedPointer<QObjectData> >(): quiterss killed by SIGSEGV
Summary: [abrt] quiterss: qGetPtrHelper<QScopedPointer<QObjectData> >(): quiterss kill...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: quiterss
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eugene A. Pivnev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0ae7def49cf30a6ed697d70983b...
: 1706361 1707231 1710936 1722612 1729956 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-02 13:42 UTC by marek.letec
Modified: 2019-08-21 10:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-21 10:05:39 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (32.51 KB, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details
File: cgroup (331 bytes, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details
File: core_backtrace (7.41 KB, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details
File: cpuinfo (1.56 KB, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details
File: dso_list (18.10 KB, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details
File: environ (3.75 KB, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details
File: exploitable (95 bytes, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details
File: limits (1.29 KB, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details
File: maps (112.71 KB, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details
File: mountinfo (4.07 KB, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details
File: open_fds (1.11 KB, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-05-02 13:42 UTC, marek.letec
no flags Details

Description marek.letec 2019-05-02 13:42:21 UTC
Description of problem:
Error showed right after upgrade from Fedora 29 to Fedora 30.

Version-Release number of selected component:
quiterss-0.18.12-2.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        quiterss
crash_function: qGetPtrHelper<QScopedPointer<QObjectData> >
executable:     /usr/bin/quiterss
journald_cursor: s=76f64e3e67204a8286fca98baf229f9f;i=12a54c;b=a21f86664e604d02b53fb685436d0b17;m=5667d543;t=587e7b087617d;x=9112f5d920cdd243
kernel:         5.0.9-301.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 qGetPtrHelper<QScopedPointer<QObjectData> > at ../../include/QtCore/../../src/corelib/global/qglobal.h:2590
 #1 QAction::d_func at kernel/qaction.h:67
 #2 QAction::setText at kernel/qaction.cpp:814
 #3 MainWindow::retranslateStrings at src/application/mainwindow.h:75
 #4 MainWindow::MainWindow at src/application/mainwindow.cpp:116
 #5 MainApplication::MainApplication at src/application/mainapplication.cpp:87

Comment 1 marek.letec 2019-05-02 13:42:24 UTC
Created attachment 1561643 [details]
File: backtrace

Comment 2 marek.letec 2019-05-02 13:42:25 UTC
Created attachment 1561644 [details]
File: cgroup

Comment 3 marek.letec 2019-05-02 13:42:26 UTC
Created attachment 1561645 [details]
File: core_backtrace

Comment 4 marek.letec 2019-05-02 13:42:27 UTC
Created attachment 1561646 [details]
File: cpuinfo

Comment 5 marek.letec 2019-05-02 13:42:28 UTC
Created attachment 1561647 [details]
File: dso_list

Comment 6 marek.letec 2019-05-02 13:42:29 UTC
Created attachment 1561648 [details]
File: environ

Comment 7 marek.letec 2019-05-02 13:42:30 UTC
Created attachment 1561649 [details]
File: exploitable

Comment 8 marek.letec 2019-05-02 13:42:31 UTC
Created attachment 1561650 [details]
File: limits

Comment 9 marek.letec 2019-05-02 13:42:33 UTC
Created attachment 1561651 [details]
File: maps

Comment 10 marek.letec 2019-05-02 13:42:34 UTC
Created attachment 1561652 [details]
File: mountinfo

Comment 11 marek.letec 2019-05-02 13:42:35 UTC
Created attachment 1561653 [details]
File: open_fds

Comment 12 marek.letec 2019-05-02 13:42:36 UTC
Created attachment 1561654 [details]
File: proc_pid_status

Comment 13 vikiwiki 2019-05-04 13:01:44 UTC
*** Bug 1706361 has been marked as a duplicate of this bug. ***

Comment 14 Andrea Perotti 2019-05-07 06:27:31 UTC
*** Bug 1707231 has been marked as a duplicate of this bug. ***

Comment 15 Andrea Perotti 2019-05-07 06:28:56 UTC
Same problem here see bz#1707231

Comment 16 ValdikSS 2019-05-14 03:29:33 UTC
Similar problem has been detected:

First start after install, instant crash after splash screen with progress bar.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/quiterss
crash_function: qGetPtrHelper<QScopedPointer<QObjectData> >
executable:     /usr/bin/quiterss
journald_cursor: s=6306afa3f09140a08d71aa987fb2146e;i=6aacf;b=bc43131564ed42b994806edf5af1b84f;m=2cfb07540;t=588d08e30d7ed;x=c1f73bb4c3efdd12
kernel:         5.0.13-300.fc30.x86_64
package:        quiterss-0.18.12-2.fc30
reason:         quiterss killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Damon Harris 2019-05-16 15:25:40 UTC
*** Bug 1710936 has been marked as a duplicate of this bug. ***

Comment 18 Abhisek Mukherjee 2019-06-20 18:18:09 UTC
*** Bug 1722612 has been marked as a duplicate of this bug. ***

Comment 19 novaphoenix500 2019-07-06 04:17:47 UTC
Similar problem has been detected:

I installed quiterss via DNF, and launched the program both via my application launcher and the terminal (by typing quiterss). It had seemed to load for one second, and then crashed.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        quiterss
crash_function: qGetPtrHelper<QScopedPointer<QObjectData> >
executable:     /usr/bin/quiterss
journald_cursor: s=c13f131ec3f7424c88b185d4491ee4fb;i=1e1cb;b=9d8efefee38f48ac8228809ff8416c13;m=67ff941109;t=58cf8a7f2a4d4;x=48b9cfeea9bb5b86
kernel:         5.1.12-300.fc30.x86_64
package:        quiterss-0.18.12-2.fc30
reason:         quiterss killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Demetris M 2019-07-15 12:22:41 UTC
*** Bug 1729956 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.